/*
+-------------+----------------------------------------------------------------+
| PRODUCT:    | SAS FCF
| SUBSYSTEM:  | Windows/Unix
| DESCRIPTION | Program to load CDD metadata to ECM
|             |
| SOURCE:     | cdd_ecm_config_hotfix
+------------------------------------------------------------------------------+
| USAGE:      |
+-------------+----------------------------------------------------------------+
| COMMENTS    | This program loads CDD configuration data to ECM
|             |
+-------------+----------+----------+------------------------------------------+
*/

/*-------------------------------------------------------------------
 * Copyright (c) 2014 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/

%inc "@ecm.autoexec.path@";
%inc "@cdd.autoexec.path@";

%ecm_db_connect

proc sql noprint;
  create table work.ref_table_value like ecm_db.ref_table_value;
quit;

proc sql noprint;
   insert into work.ref_table_value values ('CDD_CXP_RELATION_TYPE','ENT','CDD Entity', null, null, 0, '1');
   insert into work.ref_table_value values ('RT_CDD_CASE_SUBJECT_CATEGORY','PTY','Customer', null, null, 0, '1');
quit;

proc append base=ecm_db.ref_table_value data=work.ref_table_value force;
run;

